<?php
// SPDX-License-Identifier: EUPL-1.2
// Authors: see README.md

use PicoContentEditor\Status;
use PicoContentEditor\Auth;
use PicoContentEditor\Edits;
use PicoContentEditor\Uploads;
use PicoContentEditor\EditorsHandlers\ContentTools;

/**
 * An api plugin for Pico 3.
 */
class PicoAPI extends AbstractPicoPlugin
{
    /**
     * Pico API version.
     * @var int
     */
    const API_VERSION = 3;

    /**
     * If the call is a save query, save the edited regions and output the JSON response.
     *
     * Triggered after Pico has rendered the page
     *
     * @param  string &$output contents which will be sent to the user
     * @return void
     */
    public function onPageRendered(&$output)
    {
        // TODO
    }
}
